Subject: Help with bronze sculpture?

From: [email-masked] (Rob Liebowitz)
Date: 6 Feb 1994 00:20:55 -0500

Hello, I am about to purchase a large bronze sculpture.  There are some
white specs on the piece that I'm somewhat concerned about.  Can anyone
offer me any advice about how to authenticate bronze art or where I can
find more information? Thanks, Rob
-- 
______________________________________________________________________________
Robert C. Liebowitz                                          [email-masked]
Graphic Design                                                 [email-masked]
______________________________________________________________________________